XmMultiListGetSelectedRowArray(library call)

NAME
XmMultiListGetSelectedRowArray — an MultiList function that returns an array of integers which are selected row numbers.

SYNOPSIS

#include <Xm/MultiList.h>
int * XmMultiListGetSelectedRowArray(
Widget widget,
int * num_rows);

DESCRIPTION

This routine creates an array of integers which are selected row numbers in the MultiList widget.

widget
    Specifies the ID of the MultiList widget.

num_rows
    Specifies pointer to the integer indicates number of returned row numbers.

For a complete definition of MultiList and its associated resources, see XmMultiList(3).

RETURN

The int * returned by this function contains a selected rows numbers array. The calling routine is responsible for freeing the returned pointer with XtFree(). The function will return NULL if no elements are selected.

RELATED

XmMultiList(3).